def app
def tag
pipeline {
    options {
        disableConcurrentBuilds()
    }
    agent any
    stages {
        stage('Check') {
            steps {

                script {

                    switch (BRANCH_NAME) {
                        case "master":
                            tag = "prod"
                            break
                        case "test":
                            tag = "test"
                            break
                        case "dev":
                            tag = "dev"
                            break
                        default:
                            error("Error")
                            break
                    }

                    // check tools
                    BaseimageNameMysql = "nutellinoplayground/mysql"
                    Registry = "registry.hub.docker.com"
                    sh "git rev-parse --short HEAD > CommitSha"
                    CommitSha = readFile('CommitSha').trim()
                }

            }
        }


        stage('Build image Mysql') {
            steps {
                script {
                    app = docker.build(BaseimageNameMysql, "--pull build/mysql/")
                }
            }
        }

        stage('Push image Mysql') {
            steps {
                script {
                    docker.withRegistry("https://${Registry}", 'docker-hub-credentials') {
                        app.push("${tag}")
                        app.push("${CommitSha}")
                    }
                }
            }
        }

    }

}
